%define name	nautilus-image-converter
%define version	0.3.0
%define release	2%{?_dist_release}

Summary:	Nautilus extension to mass resize and rotate images
Summary(ja): 	複数の画像をリサイズ・回転できる Nautilus用 の拡張
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	GPL
Group:		User Interface/Desktops
URL:		http://www.bitron.ch/downloads/%{name}-%{version}.tar.bz2

Requires:	nautilus >= 2.6.0, ImageMagick
BuildRequires:	gtk2-devel >= 2.4.0, libglade2-devel >= 2.4.0
BuildRequires:	gnome-vfs2-devel >= 2.6.0
BuildRequires:	glib2-devel >= 2.15.0
BuildRequires:	nautilus-devel
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
Adds a "Resize Images" and "Rotate Images" menu item to the context
menu of all images. This opens a dialog where you set the desired options.
A click on "Resize" or "Rotate" finally convert the image(s) using
ImageMagick's convert tool.

%description -l ja
全ての画像ファイルの右クリックメニューに、"画像のリサイズ" と "画像の回転" 
のメニューアイテムを追加します。このメニューアイテムを選んで表示されたダイ
アログ画面で好きなオプションを設定します。"リサイズ" または "回転" ボタンを
押すと、ImageMagick の変換ツールを使って画像を変換します。


%prep

%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
%__rm -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}
%find_lang %{name}

# remove *.la file
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/nautilus/extensions-2.0/libnautilus-image-converter.so
#%{_libdir}/nautilus/extensions-2.0/libnautilus-image-converter.la
%{_datadir}/nautilus-image-converter/nautilus-image-resize.glade
%{_datadir}/nautilus-image-converter/nautilus-image-rotate.glade


%changelog
* Sat Apr 11 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.3.0-2
- added BuildRequires:	glib2-devel >= 2.15.0, nautilus-devel, gettext, perl(XML::Parser)
- changed configure option (-disable static)
- remove *.la file

* Sat Aug 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.0-1
- new upstream release.
- apply new versioning policy.
- spec in UTF-8
- use %%{__make} install DESTDIR=${RPM_BUILD_ROOT} at %%install

* Sun Jan 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.1-0vl2
- build for VineSeed Plus.
  * Sun Jan 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.1-0vl1
  - new upstream release.

* Sun Jan 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.1-0vl1
- new upstream release.

* Fri Dec 22 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.9-0vl2
- build for VineSeed Plus.
  * Thu Dec 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.9-0vl1
  - initial build for Vine Linux.

* Thu Dec 21 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.0.9-0vl1
- initial build for Vine Linux.
